<template>
  <div data-dismiss="modal" class="language-box" :class="{ checked: isChecked }" @click="setLocale(countryCode)">

    <div class="countryCode mr-3 font-weight-bold">{{ CC }}</div>
    <div><a>{{ language }}</a></div>
  </div>
</template>

<script>
export default {
  name: 'LanguageBox',
  components: {

  },
  props: {
    language: {
      type: String,
      default: '',
    },
    selectedLanguage: {
      type: String,
      default: '',
    },
    countryCode: {
      type: String,
      default: '',
    },
  },
  data() {
    return {
      CC: ""
    };
  },
  computed: {

    isChecked() {
      return this.selectedLanguage === this.language;
    },
  },
  methods: {
    setLocale(locale) {

      this.$i18n.locale = locale;
      // Wait until router is ready before changing it
      // Necessary when routing to lazy-loaded components
      // Fixes https://gitlab.fokus.fraunhofer.de/viaduct/piveau-ui/piveau-ui/issues/210
      this.$router.isReady().then(() => {
        if (locale !== this.$route.query.locale) {
          this.$router.push({ query: { ...this.$route.query, locale } });
        }
      });
    },
  },
  mounted() {
    this.CC = this.countryCode.toUpperCase();

  }



};
</script>

<style lang="scss">
.countryCode {
  color: black;
  width: 1.5rem;
}

.language-box {
  display: flex;

  align-items: center;
  color: $primary;
  font-weight: 300;
  padding: 10px;
  width: 30%;
  cursor: pointer;
  background-color: white;
  // border-radius: 5px;
  &:hover {
    // border: 2px solid $highlight
    // background-color: $highlight;
  }
}

@media only screen and (max-width: 1000px) {
  .language-box {
    width: 100%;
  }
}

.language-box {
  margin-left: 5px;
  a{
    color: $primary-lighter !important;
    font: normal normal 400 1rem/1.25rem arial,sans-serif;
  }
  a:hover{
    color: #082b7a !important;
    text-decoration: underline !important;
  }
}

.checked {
  margin-left: 0;
  background-color: $primary-lightest !important;
  border-left: 5px solid $primary-lighter;
  a{
    color: #0e47cb !important;
  }
}

.check-mark {
  float: right;
  font-size: 0.75rem;
}
</style>
